Bug 13924 - CTDB test bugs, some of which cause flapping tests
Summary: CTDB test bugs, some of which cause flapping tests
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB (show other bugs)
Version: 4.9.7
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on: 13923
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-02 06:21 UTC by Martin Schwenke
Modified: 2019-05-21 09:59 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.9 (70.39 KB, patch)
2019-05-15 02:13 UTC, Martin Schwenke
martins: review? (amitay)
Details
Patch for 4.10 (72.00 KB, patch)
2019-05-15 02:13 UTC, Martin Schwenke
amitay: review?
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2019-05-02 06:21:37 UTC
Several issues, including:

* "make autotest" should not use -C

  This cleans up logs, making it impossible to debug test failures.  This option
  no longer kills daemons, so is no longer needed in versions >=4.10.

* ctdb detach test is flakey

  The attach/detach commands have an asynchronous effects, so tests need
  to wait a while for the commands to take effect.

* Some tests can fail due to a cat process in onnode exiting due to EAGAIN

  This can occur when try_command_on_node() produces too much output.  Commands
  that produce a lot of output should have their output saved to a file.
Comment 1 Martin Schwenke 2019-05-02 09:34:16 UTC
Some of the test fixes here depend on bug 13923
Comment 2 Martin Schwenke 2019-05-15 02:13:13 UTC
Created attachment 15155 [details]
Patch for 4.9
Comment 3 Martin Schwenke 2019-05-15 02:13:37 UTC
Created attachment 15156 [details]
Patch for 4.10
Comment 4 Martin Schwenke 2019-05-15 02:19:37 UTC
For 4.9 these patches are omitted:

dd9c6417461 ctdb-tests: Actually restart if cluster doesn't become healthy
91ab6055806 ctdb-tests: Remove old socket wrapper state directory during setup

The first is irrelevant and the 2nd probably isn't worth backporting to the old test infrastructure.

For patches that modify ctdb/tests/simple/02_ctdb_tunables.sh, these are backported to 4.9 so that they modify ctdb/tests/simple/02_ctdb_listvars.sh and ctdb/tests/simple/03_ctdb_getvar.sh instead.
Comment 5 Amitay Isaacs 2019-05-15 03:40:01 UTC
Hi Karolin,

This is ready for v4-9 and v4-10.

Thanks.
Comment 6 Karolin Seeger 2019-05-16 10:24:36 UTC
(In reply to Amitay Isaacs from comment #5)
Pushed to autobuild-v4-{10,9}-test.
Comment 7 Karolin Seeger 2019-05-21 09:59:57 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to both branches.
Closing out bug report.

Thanks!